
    #include <DHT.h>
    #include <Akeru.h>

    #define DHTPIN 2
    #define DHTTYPE DHT22
    DHT dht(DHTPIN, DHTTYPE);   
   
    #define TX 5
    #define RX 4
    Akeru Akeru(RX, TX);
    
    void setup()
    {
      dht.begin();
      Akeru.begin();
    }
    
    void loop()
    {
      int humext = dht.readHumidity();
      int tempext = dht.readTemperature();
      
      String HD2 = Akeru.toHex(humext);
      String TD2 = Akeru.toHex(tempext);
      String message = TD2 + HD2;

      Akeru.sendPayload(message);
 
    }
