
    #include <DHT.h>
    #include <Akeru.h>

    #define DHTPIN 2
    #define DHTTYPE DHT22
    DHT dht(DHTPIN, DHTTYPE);   
   
    #define TX 5
    #define RX 4
    Akeru Akeru(RX, TX);
    
    void setup()
    {
      dht.begin();
      Akeru.begin();
    }
    
    void loop()
    {
      float humext = dht.readHumidity();
      float tempext = dht.readTemperature();
      
      String humidite = Akeru.toHex(humext);
      String temperature = Akeru.toHex(tempext);
      String message = humidite + temperature;

      Akeru.sendPayload(message);
      delay(10000);
    }
